Bug 55159 - Scale image inverts the scale values.
Scale image inverts the scale values.
Product: Red Hat Linux
Classification: Retired
Component: gimp (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matt Wilson
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-10-26 10:30 EDT by Crutcher Dunnavant
Modified: 2007-04-18 12:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-12-14 19:22:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Crutcher Dunnavant 2001-10-26 10:30:57 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.4) Gecko/20010917

Description of problem:
Using the transform tool in the gimp, and attempting to scale a selection,
the actual scale performed is exactly the inverse of the scale asked for.
(try to make it bigger, it gets smaller)

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Create a new image in the gimp. Put some text in it.
2.Select the text, and use the transform tool's scale mode.
3.Try to scale the selection down.

Actual Results:  It will scale up.

Expected Results:  It should scale down.

Additional info:

rpm -q gimp
Comment 1 Josep Guallar-Esteve 2001-11-12 16:49:38 EST
I can scale it down on an IA64. My steps:

Create new image
Add text
select text (select all, cut, paste)
Right click -Tools -Transform Tools - Transform
Click on the image/text to be resized 
Move the grid as desired (scale it up or down)
Click on "Scale" button.
It works.

Also, Rotation, Shearing and Prespective tools work too.

[sinner@dhcp4 sinner]$ rpm -qa | grep  gimp

Linux dhcp4.perf.redhat.com 2.4.9-13.3smp #1 SMP Thu Nov 8 16:23:19 EST 2001 
ia64 unknown
Comment 2 Matt Wilson 2002-12-14 19:22:54 EST
crutcher - you had the scaling tool in corrective mode, which is used for fixing
shear in photos, etc.

Note You need to log in before you can comment on or make changes to this bug.